Package org.apache.lucene.index

## Interface RandomAccessVectorValuesProducer

-     public interface RandomAccessVectorValuesProducer

  Something (generally a `VectorValues`) that provides a `RandomAccessVectorValues`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RandomAccessVectorValues` | `randomAccess()` | Return a random access interface over this iterator's vectors.

- - ### Method Detail

    - #### randomAccess

          RandomAccessVectorValues randomAccess()
                                         throws IOException

      Return a random access interface over this iterator's vectors. Calling the RandomAccess methods will have no effect on the progress of the iteration or the values returned by this iterator. Successive calls will retrieve independent copies that do not overwrite each others' returned values.
      Throws:
        `IOException`